all : interrupta

interrupta: interrupta.o interrupta_asm.o
	$(LD) -L$(NEWLIB_DIR)/lib  -Tls_interrupta_small -o $@

interrupta.o: interrupta.c
	$(CC) -I$(NEWLIB_DIR)/include -I../../library/libpeter -fno-stack-protector -fno-exceptions -O6 -fno-exceptions -fno-exceptions -fno-builtin -c $? -o $@ -Wno-long-long

interrupta_asm.o: interrupta.s
	$(CC) -I$(NEWLIB_DIR)/include -I../../library/libpeter -fno-stack-protector -fno-exceptions -O6 -fno-exceptions -fno-exceptions -fno-builtin -c $? -o $@ -Wno-long-long

clean:
	rm -f interrupta
	rm -f interrupta.o
	rm -f interrupta_asm.o
